Bug 1829281 (CVE-2020-1957) - CVE-2020-1957 shiro: Spring dynamic controllers, a specially crafted request may cause an authentication bypass
Summary: CVE-2020-1957 shiro: Spring dynamic controllers, a specially crafted request ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-1957
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1829282
Blocks: 1829283
TreeView+ depends on / blocked
 
Reported: 2020-04-29 10:37 UTC by Marian Rehak
Modified: 2021-02-16 20:10 UTC (History)
32 users (show)

Fixed In Version: shiro 1.5.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Apache Shiro. When using Spring dynamic controllers, a specially crafted request may cause an authentication bypass. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-04-30 04:31:45 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-04-29 10:37:51 UTC
When using Apache Shiro with Spring dynamic controllers, a specially crafted request may cause an authentication bypass.

Upstream Advisory:

https://lists.apache.org/thread.html/r17f371fc89d34df2d0c8131473fbc68154290e1be238895648f5a1e6%40%3Cdev.shiro.apache.org%3E

Comment 1 Marian Rehak 2020-04-29 10:38:25 UTC
Created shiro tracking bugs for this issue:

Affects: fedora-all [bug 1829282]

Comment 6 Joshua Padman 2020-04-30 01:00:25 UTC
Statement:

Whilst the OpenDaylight version that is included in Red Hat OpenStack Platform includes the affected code, the vulnerable function is not used and therefore not exploitable.

Comment 7 Product Security DevOps Team 2020-04-30 04:31:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1957


Note You need to log in before you can comment on or make changes to this bug.